<?php 
namespace App\Entities\Medicamento;

use App\Utils\Entity;

class Medicamento extends Entity
{
    protected $id;
    protected $nome;
    protected $quantidade;
    protected $posologia;
    protected $id_clinica;

    public static function builder() : MedicamentoBuilder
    {
        return (new MedicamentoBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    public function getQuantidade()
    {
        return $this->quantidade;
    }

    public function setQuantidade($quantidade): void
    {
        $this->quantidade = $quantidade;
    }

    public function getPosologia()
    {
        return $this->posologia;
    }

    public function setPosologia($posologia): void
    {
        $this->posologia = $posologia;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }





}